# Generated by Django 3.2.7 on 2021-09-25 18:53

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Ferme',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=100)),
                ('infos_paiement', models.TextField(default="Pas d'informations spécifiées.")),
                ('type_activite', models.CharField(default='Activité non renseignée', max_length=100, verbose_name='Type de produits vendus, par exemple "Légumes et fruits de saison"')),
                ('description', models.TextField(blank=True, default='', help_text='500 caractères maximum.', max_length=500, verbose_name='Courte description publique')),
                ('affichee_publiquement', models.BooleanField(default=False, verbose_name="Afficher la ferme sur la page d'accueil ?")),
                ('entite_juridique', models.CharField(max_length=100)),
                ('adresse', models.CharField(max_length=250)),
            ],
        ),
        migrations.CreateModel(
            name='Produit',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=50)),
                ('description', models.CharField(blank=True, default='', max_length=1000)),
                ('tarif_reference', models.FloatField(verbose_name='Tarif de référence')),
                ('quantite_reference', models.CharField(max_length=20)),
                ('modifiable', models.BooleanField(default=True)),
                ('archive', models.BooleanField(default=False)),
                ('ferme', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='gaia_paysans.ferme')),
            ],
        ),
    ]
